﻿using Syncfusion.UI.Xaml.Grid;
using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RibbonSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RibbonWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            EmployeeList = new ObservableCollection<Model>();
            for (int i = 1; i <= 20; i++)
            EmployeeList.Add(new Model() { EmployeeName = "Employee" + i, EmployeeID = "Emp" + i });
            this.DataContext = this;
        }

        private void RibbonButton_Click(object sender, RoutedEventArgs e)
        {
            datagrid.ItemsSource = EmployeeList;           
        }
        public ObservableCollection<Model> EmployeeList
        {
            get;
            set;
        }
    }
}
